Anessa was previously called Insurely. You may still see the Insurely name in parts of our documentation while we complete the transition.

Routes

Get collections

GEThttps://api.insurely.com/collections

Returns all collections for the authenticated user within the client scope.

Request

Query Parameters

latestboolean

Return only the latest collection per company

statusInArray<string>

Filter by collection status (e.g. COMPLETED, FAILED)

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Collections retrieved successfully.

Body

collectionIdstring

Unique identifier for the collection.

companystring

Company identifier.

createdAtstring[date-time]

Timestamp when the collection was created.

loginMethodstring

Login method used for the collection.

Possible Enum values are USERNAME_AND_PASSWORD, PDF_UPLOAD, AUTHENTICATION_APP_URL or MANUAL_SELECT.
statusstring

Current status of the collection.

cURL
curl https://api.insurely.com/collections?latest=your-value&statusIn=your-value \
  -H "Authorization: Bearer <jwt-token>"
RESPONSE 200
[
  {
    "collectionId": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
    "company": "fr-gmf",
    "createdAt": "2026-04-01T10:30:00",
    "loginMethod": "USERNAME_AND_PASSWORD",
    "status": "COMPLETED"
  }
]